## org.w3c.dom.svg
Interface SVGFECompositeElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

All Known Implementing Classes:
  SVGOMFECompositeElement

public interface SVGFECompositeElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` `SVG_FECOMPOSITE_OPERATOR_ARITHMETIC`
`static short` `SVG_FECOMPOSITE_OPERATOR_ATOP`
`static short` `SVG_FECOMPOSITE_OPERATOR_IN`
`static short` `SVG_FECOMPOSITE_OPERATOR_OUT`
`static short` `SVG_FECOMPOSITE_OPERATOR_OVER`
`static short` `SVG_FECOMPOSITE_OPERATOR_UNKNOWN`
`static short` `SVG_FECOMPOSITE_OPERATOR_XOR`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedString` `getIn1()`
`SVGAnimatedString` `getIn2()`
`SVGAnimatedNumber` `getK1()`
`SVGAnimatedNumber` `getK2()`
`SVGAnimatedNumber` `getK3()`
`SVGAnimatedNumber` `getK4()`
`SVGAnimatedEnumeration` `getOperator()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_FECOMPOSITE_OPERATOR_UNKNOWN

    public static final short SVG_FECOMPOSITE_OPERATOR_UNKNOWN

See Also:
  Constant Field Values

### SVG_FECOMPOSITE_OPERATOR_OVER

    public static final short SVG_FECOMPOSITE_OPERATOR_OVER

See Also:
  Constant Field Values

### SVG_FECOMPOSITE_OPERATOR_IN

    public static final short SVG_FECOMPOSITE_OPERATOR_IN

See Also:
  Constant Field Values

### SVG_FECOMPOSITE_OPERATOR_OUT

    public static final short SVG_FECOMPOSITE_OPERATOR_OUT

See Also:
  Constant Field Values

### SVG_FECOMPOSITE_OPERATOR_ATOP

    public static final short SVG_FECOMPOSITE_OPERATOR_ATOP

See Also:
  Constant Field Values

### SVG_FECOMPOSITE_OPERATOR_XOR

    public static final short SVG_FECOMPOSITE_OPERATOR_XOR

See Also:
  Constant Field Values

### SVG_FECOMPOSITE_OPERATOR_ARITHMETIC

    public static final short SVG_FECOMPOSITE_OPERATOR_ARITHMETIC

See Also:
  Constant Field Values

Method Detail

### getIn1

    public SVGAnimatedString getIn1()

### getIn2

    public SVGAnimatedString getIn2()

### getOperator

    public SVGAnimatedEnumeration getOperator()

### getK1

    public SVGAnimatedNumber getK1()

### getK2

    public SVGAnimatedNumber getK2()

### getK3

    public SVGAnimatedNumber getK3()

### getK4

    public SVGAnimatedNumber getK4()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.